FIX: Error when upgrading SSIS catalog database in SQL Server 2016 and 2017 Standard Edition

Applies to: Microsoft SQL Server 2016 Service Pack 1SQL Server 2016 DeveloperSQL Server 2016 Enterprise

Symptoms


Assume that you restore a SQL Server Integration Services (SSIS) catalog database from an older version of SQL Server to an instance of Microsoft SQL Server 2016 Standard Edition with Service Pack 1 (SP1) or SQL Server 2017 installed. When you use SSISDB Upgrade Wizard to upgrade the SSIS Catalog database, an error that resembles the following might occur:

The SQL Server edition or version do not meet the minimum requirements to create a Master Data Services database. (Microsoft.SqlServer.IntegrationServices.ISServerDBUpdate)

Resolution


This issue is fixed in the following cumulative updates for SQL Server:

      Cumulative Update 6 for SQL Server 2017 

       Cumulative update 8 for SQL Server 2016 SP1

Status


Microsoft has confirmed that this is a problem in the Microsoft products that are listed in the "Applies to" section.

References


Learn about the terminology that Microsoft uses to describe software updates.